Bug 208690 - Upgrade fails to mount swap partition
Upgrade fails to mount swap partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 05:09 EDT by David Woodhouse
Modified: 2008-05-06 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:54:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-09-30 05:09:24 EDT
I was unable to upgrade a ppc64 machine from FC5 to FC6 until I reformatted the
swap partition for 64KiB pages.
Comment 1 Paul Nasrat 2006-09-30 10:32:18 EDT
Which tree was this with I commited a fix to this a while back?
Comment 2 David Woodhouse 2006-09-30 10:40:15 EDT
The contents of images/ are dated September 28th.

anaconda-11.1.0.101-1.ppc.rpm
Comment 3 David Woodhouse 2006-09-30 10:43:55 EDT
It may be relevant that was unable to mount the swap partition unless I
formatted it with 'mkswap -v1':

pmac /home/dwmw2 # mkswap /dev/sda4
Setting up swapspace version 0, size = 2147418 kB
pmac /home/dwmw2 # swapon /dev/sda4
swapon: /dev/sda4: Invalid argument
pmac /home/dwmw2 # mkswap -v1 /dev/sda4
Setting up swapspace version 1, size = 2147418 kB
pmac /home/dwmw2 # swapon /dev/sda4
pmac /home/dwmw2 # 
Comment 4 David Woodhouse 2006-10-01 06:07:16 EDT
AFAICT, formatSwap() will only format partitions which weren't already formatted.
Comment 5 Darwin H. Webb 2007-02-10 02:30:03 EST
HTTP install as of FEB 8th 
Many py warning as anaconda started. But it came up.

Created a /boot on hda6 and an LVM on hda7 for /, home, swap
Formating , errored out.
Dump shows mkswap file not found.
Dump to Floppy disk - nothing was written.

Second attemp - because I was doing a custom selection trying for a semi
workstation with compiling environment.

Before starting I used FC6 LVM tool to format the partitions and lv's.
The Tool again showed a previous bug contition about -32 MB for max VG and said
it had to be removed (in FC7 later during install).

When swap LV was created there was no format for or swap type only none or ext3,
ext2. So I used FC6 swap (later during install).

Looked like it got farther but dumped much more data.
Dump to Floppy disk but there was no data written.

Darwin
Comment 6 Red Hat Bugzilla 2007-08-21 01:27:04 EDT
User pnasrat@redhat.com's account has been closed
Comment 7 Bug Zapper 2008-04-03 14:22:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:54:14 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.